Steam
Get app details
Store page details for a Steam app: pricing, platforms, genres, Metacritic score.
Costs 1 credit per request.
Authorization
ApiKeyAuth X-API-Key<token>
API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.
In: header
Query Parameters
appid*integer
Steam app ID.
Range
0 < valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/steam/app?appid=730"{ "appid": 730, "name": "Iron Vanguard", "type": "game", "developers": [ "string" ], "publishers": [ "string" ], "release_date": "2023-11-02", "price": { "currency": "GBP", "initial": 29.99, "final": 14.99, "discount_percent": 50 }, "genres": [ "string" ], "categories": [ "string" ], "platforms": { "windows": true, "mac": true, "linux": true }, "metacritic": 84}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}